[@rxap/forms](../wiki/globals) / KeyValueControls

# Type Alias: KeyValueControls\<T\>

> **KeyValueControls**\<`T`\>: `{ [K in keyof T]: T[K] extends RxapFormControl<T[K]> ? RxapFormControl<T[K]> : T[K] extends RxapFormGroup<T[K]> ? RxapFormGroup<T[K]> : T[K] extends RxapFormArray<ArrayType<T[K]>> ? RxapFormArray<ArrayType<T[K]>> : AbstractControl<T[K]> }`

Defined in: [packages/angular/forms/src/lib/types.ts:100](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/types.ts#L100)

## Type Parameters

• **T**
